Deployments.ai Docs
Providers

List connection capabilities

GET /v1/connections/{id}/capabilities · SDK listConnectionCapabilities · CLI deployments capability list

GET
/v1/connections/{id}/capabilities

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListConnectionCapabilitiesResponse

application/json
  1. response
items*array<>
nextCursor*string|null
curl -X GET "https://example.com/v1/connections/string/capabilities" \  -H "x-deployments-environment: string"
{  "items": [    {      "connectionId": "string",      "id": "string",      "metadata": {        "property1": null,        "property2": null      },      "providerKey": "string",      "scopes": [        "string"      ],      "status": "string",      "verificationVersion": 0    }  ],  "nextCursor": "string"}